Bug 1574211 - Source RPMs are not found where the repository definition points
Summary: Source RPMs are not found where the repository definition points
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josh Boyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 19:49 UTC by Göran Uddeborg
Modified: 2019-05-28 20:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:02:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Göran Uddeborg 2018-05-02 19:49:59 UTC
Description of problem:
The repositories listed when getting the metalink for the fedora-source repository points to empty repositories.  In my case, the top listed mirror is https://ftp.acc.umu.se/mirror/fedora/linux/updates/28/Everything/source/tree/repodata/repomd.xml.  The metadata exists at that place, but no packages are listed, and the directory https://ftp.acc.umu.se/mirror/fedora/linux/updates/28/Everything/source/tree/Packages is empty.

Looking around in the neighbourhood I did find the source packages under a different path, https://ftp.acc.umu.se/mirror/fedora/linux/updates/28/Everything/SRPMS/  Guessing from the pattern, I assume this is a bug in the distribution, but it could obviously also be argued it is a bug in the fedora-repos package.


Version-Release number of selected component (if applicable):
fedora-repos-28-1

Steps to Reproduce:
1. dnf download --source authselect


Actual results:
List of activated repositories, followed by the message

No package authselect-0.4-2.fc28.src available.



Expected results:
A downloades source RPM.

Additional info:
When I do "dnf repoinfo updates-source" it gives me this metalink:

https://mirrors.fedoraproject.org/metalink?repo=updates-released-source-f28&arch=x86_64

When curl:ing that, I get a document which starts with these repositories (after some headers):


<url protocol="https" type="https" location="SE" preference="100" >https://ftp.acc.umu.se/mirror/fedora/linux/updates/28/Everything/source/tree/repodata/repomd.xml</url>
<url protocol="rsync" type="rsync" location="SE" preference="100" >rsync://ftp.acc.umu.se/mirror/fedora/linux/updates/28/Everything/source/tree/repodata/repomd.xml</url>
<url protocol="http" type="http" location="SE" preference="100" >http://ftp.acc.umu.se/mirror/fedora/linux/updates/28/Everything/source/tree/repodata/repomd.xml</url>
<url protocol="http" type="http" location="SE" preference="99" >http://mirror.zetup.net/fedora-enchilada/updates/28/Everything/source/tree/repodata/repomd.xml</url>

Both of these, and a few other randomly selected repositories in the list, are empty.

Comment 1 Ben Cotton 2019-05-02 21:52:53 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-28 20:02:16 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.